search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``igraph`.`app`.`shell`.`ProgressBar``

class documentation

`class ProgressBar: (source)`

Constructor: `ProgressBar(term)`

View In Hierarchy

A 2-line progress bar.

The progress bar looks roughly like this in the console:

                                Header
        20% [===========----------------------------------]

The progress bar is colored, if the terminal supports color output; and adjusts to the width of the terminal.

Method | `__init__` | Undocumented
Method | `clear` | Clears the progress bar (i.e. removes it from the screen)
Method | `update` | Updates the progress bar.
Method | `update_message` | Updates the message of the progress bar.
Constant | `BAR` | Undocumented
Constant | `HEADER` | Undocumented
Instance Variable | `cleared` | Undocumented
Instance Variable | `header` | Undocumented
Instance Variable | `last_message` | Undocumented
Instance Variable | `last_percent` | Undocumented
Instance Variable | `progress_bar` | Undocumented
Instance Variable | `term` | Undocumented
Instance Variable | `width` | Undocumented

def __init__(self, term): (source)

Undocumented

def clear(self): (source)

Clears the progress bar (i.e. removes it from the screen)

def update(self, percent=None, message=None): (source)

Updates the progress bar.

Parameters
percent | the percentage to be shown. If `None`, the previous value will be used.
message | the message to be shown above the progress bar. If `None`, the previous message will be used.

def update_message(self, message): (source)

Updates the message of the progress bar.

Parameters
message | the message to be shown above the progress bar

BAR: `str` = (source)

Undocumented

Value

    '%3d%% ${GREEN}[${BOLD}%s%s${NORMAL}${GREEN}]${NORMAL}'

HEADER: `str` = (source)

Undocumented

Value

    '''${BOLD}${CYAN}%s${NORMAL}
    '''

cleared: `bool` = (source)

Undocumented

header = (source)

Undocumented

last_message: `str` = (source)

Undocumented

last_percent: `int` = (source)

Undocumented

progress_bar = (source)

Undocumented

term = (source)

Undocumented

width = (source)

Undocumented